Package com.emc.d2fs.services.d2_taxonomy_service

# Class TaxonomyExportRequest

java.lang.Object
com.emc.d2fs.services.d2_taxonomy_service.TaxonomyExportRequest

All Implemented Interfaces:
  `Serializable`

public class TaxonomyExportRequest extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.emc.com/d2fs/models/context}context"/>
           </sequence>
           <attribute name="taxonomyName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="format" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="separator" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaxonomyExportRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Context`
  `getContext()`
  Gets the value of the context property.
  `String`
  `getFormat()`
  Gets the value of the format property.
  `String`
  `getSeparator()`
  Gets the value of the separator property.
  `String`
  `getTaxonomyName()`
  Gets the value of the taxonomyName property.
  `void`
  `setContext(Context value)`
  Sets the value of the context property.
  `void`
  `setFormat(String value)`
  Sets the value of the format property.
  `void`
  `setSeparator(String value)`
  Sets the value of the separator property.
  `void`
  `setTaxonomyName(String value)`
  Sets the value of the taxonomyName property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TaxonomyExportRequest

    public TaxonomyExportRequest()

- ## Method Details

  - ### getContext

    public Context getContext()
    Gets the value of the context property.
    Returns:
      possible object is `Context`

  - ### setContext

    public void setContext(Context value)
    Sets the value of the context property.
    Parameters:
      `value` - allowed object is `Context`

  - ### getTaxonomyName

    public String getTaxonomyName()
    Gets the value of the taxonomyName property.
    Returns:
      possible object is `String`

  - ### setTaxonomyName

    public void setTaxonomyName(String value)
    Sets the value of the taxonomyName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFormat

    public String getFormat()
    Gets the value of the format property.
    Returns:
      possible object is `String`

  - ### setFormat

    public void setFormat(String value)
    Sets the value of the format property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSeparator

    public String getSeparator()
    Gets the value of the separator property.
    Returns:
      possible object is `String`

  - ### setSeparator

    public void setSeparator(String value)
    Sets the value of the separator property.
    Parameters:
      `value` - allowed object is `String`